#include <stdio.h>
#include <stdlib.h>
int main(int argc, char *argv[]) {
	
	int n, l, h=0, i;
	
	scanf("%d%d",&n,&l);
	int a[n];
	for(i=0;i<n;i++)
	{
		scanf("%d",&a[i]);
	}
	for(i=0;i<n;i++)
	{
		if(a[i] <= l)
		{
			h = i;
			break;
		}
	}
    puts("");
	if(h!=0)
		printf("%d", h+1);
	else
		printf("-1");
	return 0;
}